Package com.netrics.likeit

## Enum NetricsPredicate.DistanceUnits

- java.lang.Object
- - java.lang.Enum<NetricsPredicate.DistanceUnits>
  - - com.netrics.likeit.NetricsPredicate.DistanceUnits

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<NetricsPredicate.DistanceUnits>`
  Enclosing class:
    NetricsPredicate

      public static enum NetricsPredicate.DistanceUnits
      extends java.lang.Enum<NetricsPredicate.DistanceUnits>

  Units of measure for distance functions.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `KILOMETERS` | Distance in Kilometers.
    `MILES` | Distance in Miles.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `asStr()` | Return the string name for this units measure.
    `static NetricsPredicate.DistanceUnits` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static NetricsPredicate.DistanceUnits[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KILOMETERS

          public static final NetricsPredicate.DistanceUnits KILOMETERS

      Distance in Kilometers.

    - #### MILES

          public static final NetricsPredicate.DistanceUnits MILES

      Distance in Miles.

  - ### Method Detail

    - #### values

          public static NetricsPredicate.DistanceUnits[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NetricsPredicate.DistanceUnits c : NetricsPredicate.DistanceUnits.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NetricsPredicate.DistanceUnits valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### asStr

          public java.lang.String asStr()

      Return the string name for this units measure.
      Returns:
        the string name for this units measure.